Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py	(date 1632802255952)
@@ -768,7 +768,7 @@
         sql_header = """-- DOMAIN: {0}.{1}\n\n""".format(
             data['basensp'], data['name'])
 
-        sql_header += """-- DROP DOMAIN {0};\n
+        sql_header += """-- DROP DOMAIN IF EXISTS {0};\n
 """.format(self.qtIdent(self.conn, data['basensp'], data['name']))
         SQL = sql_header + SQL
 
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/create_sequence_ownedby_remove.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/create_sequence_ownedby_remove.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/create_sequence_ownedby_remove.sql	(date 1632803705115)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     INCREMENT 5
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_comment.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_comment.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_comment.sql	(date 1632803261714)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_null_type.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_null_type.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_null_type.sql	(date 1632803271941)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/create_domain.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/create_domain.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/create_domain.sql	(date 1632803258122)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_default_expression.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_default_expression.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_default_expression.sql	(date 1632803265076)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_name.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_name.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/alter_domain_name.sql	(date 1632803268671)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom2_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom2_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom2_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom2_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/create_domain_numeric.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/create_domain_numeric.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/pg/default/create_domain_numeric.sql	(date 1632803275225)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS numeric(5,2)
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_comment.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_comment.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_comment.sql	(date 1632803287263)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_null_type.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_null_type.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_null_type.sql	(date 1632803298575)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/create_domain.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/create_domain.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/create_domain.sql	(date 1632803302385)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_default_expression.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_default_expression.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_default_expression.sql	(date 1632803294140)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_name.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_name.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/alter_domain_name.sql	(date 1632803290998)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom2_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom2_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom2_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom2_$%{}[]()&*^!@""'`\/#"
     AS text
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/create_domain_numeric.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/create_domain_numeric.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/domains/tests/ppas/default/create_domain_numeric.sql	(date 1632803307419)
@@ -1,6 +1,6 @@
 -- DOMAIN: public.Dom1_$%{}[]()&*^!@"'`\/#
 
--- DROP DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#";
+-- DROP DOMAIN IF EXISTS public."Dom1_$%{}[]()&*^!@""'`\/#";
 
 CREATE DOMAIN public."Dom1_$%{}[]()&*^!@""'`\/#"
     AS numeric(5,2)
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py	(date 1632744060692)
@@ -1055,7 +1055,7 @@
         sql_header = """
 -- CATALOG: {0}
 
--- DROP SCHEMA {0};
+-- DROP SCHEMA IF EXISTS {0};
 
 """.format(old_data['name'])
 
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_change_grantee_privs.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_change_grantee_privs.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_change_grantee_privs.sql	(date 1632803584375)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     CYCLE
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_seq_change_grantee_privs.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_seq_change_grantee_privs.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_seq_change_grantee_privs.sql	(date 1632803664063)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     CYCLE
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py	(date 1632802386518)
@@ -860,7 +860,7 @@
 
         sql_header = """-- Text Search Dictionary: {0}.{1}\n\n""".format(
             res['rows'][0]['schema'], res['rows'][0]['name'])
-        sql_header += """-- DROP TEXT SEARCH DICTIONARY {0};\n
+        sql_header += """-- DROP TEXT SEARCH DICTIONARY IF EXISTS {0};\n
 """.format(self.qtIdent(self.conn, res['rows'][0]['schema'],
                         res['rows'][0]['name']))
 
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_ownedby_remove.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_ownedby_remove.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_ownedby_remove.sql	(date 1632803650109)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     INCREMENT 5
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/default/create_fts_dictionary.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/default/create_fts_dictionary.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/default/create_fts_dictionary.sql	(date 1632805746766)
@@ -1,6 +1,6 @@
 -- Text Search Dictionary: public.Dictionary1_$%{}[]()&*^!@"'`\/#
 
--- DROP TEXT SEARCH DICTIONARY public."Dictionary1_$%{}[]()&*^!@""'`\/#";
+-- DROP TEXT SEARCH DICTIONARY IF EXISTS public."Dictionary1_$%{}[]()&*^!@""'`\/#";
 
 CREATE TEXT SEARCH DICTIONARY public."Dictionary1_$%{}[]()&*^!@""'`\/#" (
     TEMPLATE = simple
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/default/alter_fts_dictionary_delete_options.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/default/alter_fts_dictionary_delete_options.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/default/alter_fts_dictionary_delete_options.sql	(date 1632803514158)
@@ -1,6 +1,6 @@
 -- Text Search Dictionary: public.Test Dictionary Edit#1
 
--- DROP TEXT SEARCH DICTIONARY public."Test Dictionary Edit#1";
+-- DROP TEXT SEARCH DICTIONARY IF EXISTS public."Test Dictionary Edit#1";
 
 CREATE TEXT SEARCH DICTIONARY public."Test Dictionary Edit#1" (
     TEMPLATE = simple
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/default/alter_fts_dictionary_options.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/default/alter_fts_dictionary_options.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/default/alter_fts_dictionary_options.sql	(date 1632803518641)
@@ -1,6 +1,6 @@
 -- Text Search Dictionary: public.Test Dictionary Edit#1
 
--- DROP TEXT SEARCH DICTIONARY public."Test Dictionary Edit#1";
+-- DROP TEXT SEARCH DICTIONARY IF EXISTS public."Test Dictionary Edit#1";
 
 CREATE TEXT SEARCH DICTIONARY public."Test Dictionary Edit#1" (
     TEMPLATE = simple,
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options_msql.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options_msql.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_all_options_msql.sql	(date 1632810713386)
@@ -1,4 +1,4 @@
-CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#";
+CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#";
 
 COMMENT ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
     IS 'This is a test comment';
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment_msql.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment_msql.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/tests/ppas/9.2_plus/create_schema_with_comment_msql.sql	(date 1632810892130)
@@ -1,4 +1,4 @@
-CREATE SCHEMA IF NOT EXISTS "test_schema_$%{}[]()&*^!@""""'`\/#";
+CREATE SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#";
 
 COMMENT ON SCHEMA "test_schema_$%{}[]()&*^!@""""'`\/#"
     IS 'This is a test comment';
Index: web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/10_plus/alter_sync.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/10_plus/alter_sync.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/subscriptions/tests/10_plus/alter_sync.sql	(date 1632806550509)
@@ -1,6 +1,6 @@
 -- Subscription: test_alter_subscription
 
--- DROP SUBSCRIPTION test_alter_subscription;
+-- DROP SUBSCRIPTION IF EXISTS test_alter_subscription;
 
 CREATE SUBSCRIPTION test_alter_subscription
     CONNECTION 'host=localhost port=5432 user=postgres dbname=postgres'
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py	(date 1632802421440)
@@ -755,7 +755,7 @@
         sql_header = """-- SEQUENCE: {0}.{1}\n\n""".format(
             result['schema'], result['name'])
 
-        sql_header += """-- DROP SEQUENCE {0};
+        sql_header += """-- DROP SEQUENCE IF EXISTS {0};
 
 """.format(self.qtIdent(self.conn, result['schema'], result['name']))
 
Index: web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py	(date 1632744002543)
@@ -840,7 +840,7 @@
         sql_header = """-- Foreign Data Wrapper: {0}\n\n""".format(
             res['rows'][0]['name'])
 
-        sql_header += """-- DROP FOREIGN DATA WRAPPER {0}
+        sql_header += """-- DROP FOREIGN DATA WRAPPER IF EXISTS {0}
 
 """.format(self.qtIdent(self.conn, res['rows'][0]['name']))
 
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_privs_add.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_privs_add.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_privs_add.sql	(date 1632803595087)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     CYCLE
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_dictionary.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_dictionary.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_dictionary.sql	(date 1632805669007)
@@ -1,6 +1,6 @@
 -- Text Search Dictionary: test.test_dic
 
--- DROP TEXT SEARCH DICTIONARY test.test_dic;
+-- DROP TEXT SEARCH DICTIONARY IF EXISTS test.test_dic;
 
 CREATE TEXT SEARCH DICTIONARY test.test_dic (
     TEMPLATE = simple
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_comment.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_comment.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_comment.sql	(date 1632803589334)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     INCREMENT 5
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_privs_remove.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_privs_remove.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_privs_remove.sql	(date 1632803599649)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     CYCLE
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_neg_seq_props.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_neg_seq_props.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_neg_seq_props.sql	(date 1632803568516)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     INCREMENT -7
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_privs_update.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_privs_update.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_privs_update.sql	(date 1632803604591)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     CYCLE
Index: web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_comment.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_comment.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_comment.sql	(date 1632803156055)
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
+-- DROP FOREIGN DATA WRAPPER IF EXISTS "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#";
 
Index: web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt1.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt1.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_opt1.sql	(date 1632803164095)
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
+-- DROP FOREIGN DATA WRAPPER IF EXISTS "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (opt1 'val1');
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/create_negative_sequence.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/create_negative_sequence.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/create_negative_sequence.sql	(date 1632803615495)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     INCREMENT -5
Index: web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_change_opt2.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_change_opt2.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/pg/9.3_plus/alter_fdw_change_opt2.sql	(date 1632803159739)
@@ -1,6 +1,6 @@
 -- Foreign Data Wrapper: Fdw1_$%{}[]()&*^!@"'`\/#
 
--- DROP FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
+-- DROP FOREIGN DATA WRAPPER IF EXISTS "Fdw1_$%{}[]()&*^!@""'`\/#"
 
 CREATE FOREIGN DATA WRAPPER "Fdw1_$%{}[]()&*^!@""'`\/#"
     OPTIONS (opt1 'val1', opt2 'valopt2');
Index: web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_props.sql
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_props.sql	(revision d616cb88aa8a883e78666916a386c1255a10e7e6)
+++ web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_props.sql	(date 1632803609423)
@@ -1,6 +1,6 @@
 -- SEQUENCE: public.Seq1_$%{}[]()&*^!@"'`\/#
 
--- DROP SEQUENCE public."Seq1_$%{}[]()&*^!@""'`\/#";
+-- DROP SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#";
 
 CREATE SEQUENCE IF NOT EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     CYCLE
